﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="Dialog" AutoEventWireup="true" CodeFile="DialogFeatures.aspx.cs" Inherits="DialogFeatures" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="content">
        <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="false" AllowSelection="true" Selectiontype="Single">
            <ClientSideEvents RowSelected="rowSelected" />
            <SelectionSettings SelectionMode="row" />
            <Columns>
                <ej:Column Field="StId" />
                <ej:Column Field="RoomStatus" />
                <ej:Column Field="StatusColor" />
            </Columns>
        </ej:Grid>

        <ej:Dialog ID="basicDialog" runat="server" Title="Dialog" ShowOnInit="false" Target="#content">
            <DialogContent>
                <asp:Label ID="label" runat="server"></asp:Label>
                <asp:TextBox ID="textbox" runat="server"></asp:TextBox>
                <ej:ColorPicker ID="colorpicker" runat="server"></ej:ColorPicker>
            </DialogContent>
        </ej:Dialog>
    </div>
    <script>
        function rowSelected(args) {
            var dialogObj = $("#<%=basicDialog.ClientID%>").data("ejDialog");
            dialogObj.open();
            $("#MainContent_basicDialog_label").text(args.data["StId"]);
            $("#MainContent_basicDialog_textbox").val(args.data["RoomStatus"]);
            var colorObj = $("#<%=colorpicker.ClientID%>").data("ejColorPicker");
            colorObj.setValue(args.data["StatusColor"]);
        }
    </script>
</asp:Content>

